GNU bug report logs - #55289
29.0.50; minibuffer-next-completion errors on wrap when completion-show-help and completions-header-format are set to nil

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eshel Yaron <eshelshay.yaron@HIDDEN>; merged with #55430; dated Fri, 6 May 2022 15:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 55289 55430. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55289 <at> debbugs.gnu.org:


Received: (at 55289) by debbugs.gnu.org; 6 May 2022 17:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 13:12:07 2022
Received: from localhost ([127.0.0.1]:49657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn1Ut-0005Wb-24
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 13:12:07 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:43341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nn1Ur-0005W6-1P
 for 55289 <at> debbugs.gnu.org; Fri, 06 May 2022 13:12:05 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C8D5B200003;
 Fri,  6 May 2022 17:11:57 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eshel Yaron <eshelshay.yaron@HIDDEN>
Subject: Re: bug#55289: 29.0.50; minibuffer-next-completion errors on wrap
 when completion-show-help and completions-header-format are set to nil
Organization: LINKOV.NET
References: <m2czgqemju.fsf@HIDDEN>
Date: Fri, 06 May 2022 20:11:17 +0300
In-Reply-To: <m2czgqemju.fsf@HIDDEN> (Eshel
 Yaron's message of "Fri, 06 May 2022 17:57:25 +0300")
Message-ID: <86zgjufux6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55289
Cc: 55289 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> 1. Run emacs -Q
> 2. Evaluate the following form:
>    (setq completions-format 'one-column
>          completion-auto-select nil
>          completion-show-help nil
>          completions-header-format nil
>          completion-auto-help 'visual
>          completion-wrap-movement t)
> 3. Type 'M-x gnus M-<up> M-<down>'
> 4. Emacs reports error: "Wrong type argument: integer-or-marker-p, nil"

Thanks for the bug report.  It seems it's related to the last problem of
bug#54374.  So fixing bug#54374 could fix this as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55289; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2022 15:37:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 11:37:21 2022
Received: from localhost ([127.0.0.1]:49554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn01B-000751-Au
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 11:37:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:36738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eshelshay.yaron@HIDDEN>) id 1nmzOg-0003lX-71
 for submit <at> debbugs.gnu.org; Fri, 06 May 2022 10:57:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49754)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eshelshay.yaron@HIDDEN>)
 id 1nmzOf-0007A7-Sp
 for bug-gnu-emacs@HIDDEN; Fri, 06 May 2022 10:57:33 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:33485)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eshelshay.yaron@HIDDEN>)
 id 1nmzOe-0000TW-3L
 for bug-gnu-emacs@HIDDEN; Fri, 06 May 2022 10:57:33 -0400
Received: by mail-wr1-x434.google.com with SMTP id x18so10421669wrc.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 06 May 2022 07:57:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=ziBZmXUULhekzXFWSdhb5kYOjkce1Zb/TbJfZyyHAYA=;
 b=i2LxcxoMOU+b7Q+X6cH6/DA1/Whfdn5hDKQztcNf8klHZX77gGH4WqeEh9Rf1SQt5A
 qMb9jdYYNmJXHXup2761k3cRFDwF6Wpo9a1aXT4OWfFG5/Q8/S6LRGS2N6F6G0MzTvYY
 6cTfkBPofFG4PfWqIKyDOa7Fg6KIGm+/TsojKRLTCGuYf5PiZgCa0WrQyENJT3f8HUcg
 FNS6p1OSQsJ1tgDOljvdsz25XMkCHdS+2/C0dDI6kKQlw9B9nd4gMUgUFnv9Pyy/var8
 u9Y0/wz9W4Whamv6XpVe3QGhfR7xj3bsr2JPTltNo5b44XbcYwhkA9pZypmLJhEWpGLU
 t/8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=ziBZmXUULhekzXFWSdhb5kYOjkce1Zb/TbJfZyyHAYA=;
 b=1J4dwPJ3mrjHBJZcVFc4KzYqfzXW8unH2ArHEEYxrcyL0xGR31O46i8sZ87j0+4Wad
 drXNAPrUDgbKWfHRUyxczHtpG4VHPQmlrSzAKWEugvntTip0Mh57wEM9PmLBDlfs6Dxu
 smATD9EE4bO5dJtMuG8RQQYrKJ26wsRzoFCdUASFC/U1BwID46pdrTscZzBk3EdnNqQ0
 ZXcvycyj9Ks/78tuRdHhHReeDJhkXI+P2WiV8kMGpBJx0HRp6gXa7iN5WIkpgfZcC5mf
 EiXGq2/B6jABuUDRSdv6ISk0NSzacxwphHj5HirO0ofGGz8vuYgYYAWFxbg5j2iq0Fuw
 uEtA==
X-Gm-Message-State: AOAM532XOimFgHvNmwdm2TJKyYncqRHNnvZhfjd8IZ7z68zl3LvjU90x
 1D2nhbSQZTjyNxNB0VwfVQrnqEszJu8=
X-Google-Smtp-Source: ABdhPJxmS1vXxO+4LKXqKAvtWqgEpckTQjTt/g2dD/TbVMOD7fORjFDtkHq80toFjWX+Y93jZanw/g==
X-Received: by 2002:a5d:5441:0:b0:20a:cdc0:6e90 with SMTP id
 w1-20020a5d5441000000b0020acdc06e90mr3130198wrv.566.1651849050059; 
 Fri, 06 May 2022 07:57:30 -0700 (PDT)
Received: from Eshels-MBP (bzq-79-176-122-252.red.bezeqint.net.
 [79.176.122.252]) by smtp.gmail.com with ESMTPSA id
 bu17-20020a056000079100b0020c5253d8e9sm3644244wrb.53.2022.05.06.07.57.28
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 06 May 2022 07:57:29 -0700 (PDT)
From: Eshel Yaron <eshelshay.yaron@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; minibuffer-next-completion errors on wrap when
 completion-show-help and completions-header-format are set to nil
Date: Fri, 06 May 2022 17:57:25 +0300
Message-ID: <m2czgqemju.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::434;
 envelope-from=eshelshay.yaron@HIDDEN; helo=mail-wr1-x434.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 06 May 2022 11:37:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


1. Run emacs -Q
2. Evaluate the following form:
   (setq completions-format 'one-column
         completion-auto-select nil
         completion-show-help nil
         completions-header-format nil
         completion-auto-help 'visual
         completion-wrap-movement t)
3. Type 'M-x gnus M-<up> M-<down>'
4. Emacs reports error: "Wrong type argument: integer-or-marker-p, nil"



In GNU Emacs 29.0.50 (build 4, x86_64-apple-darwin21.3.0, NS appkit-2113.30 Version 12.2.1 (Build 21D62))
 of 2022-05-06 built on Eshels-MBP
Repository revision: 8fce81897dabe9c06f7b3f59cfb0bb9348422531
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.2.1

Configured using:
 'configure --enable-link-time-optimization --with-json
 --with-native-compilation --with-xwidgets'

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY KQUEUE NS PDUMPER PNG RSVG SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP XIM XWIDGETS ZLIB

Important settings:
  value of $LC_CTYPE: UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/d

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr ispell emacsbug message mailcap yank-media rmc
puny dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived
epg rfc6068 epg-config gnus-util text-property-search time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils comp comp-cstr warnings rx cl-seq cl-macs cl-extra help-mode
seq gv subr-x byte-opt cl-loaddefs cl-lib bytecomp byte-compile cconv
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice simple cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
kqueue cocoa ns lcms2 multi-tty make-network-process native-compile
emacs)

Memory information:
((conses 16 160297 10698)
 (symbols 48 7321 1)
 (strings 32 33792 2323)
 (string-bytes 1 1105301)
 (vectors 16 23667)
 (vector-slots 8 366128 22095)
 (floats 8 46 28)
 (intervals 56 15100 0)
 (buffers 992 13))




Acknowledgement sent to Eshel Yaron <eshelshay.yaron@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55289; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 May 2022 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.